#!/usr/bin/perl -w

use strict;

use Getopt::Std;

my $path;
my $output1;
my $output2;
my $fold;
my $i=1;
my %option;

#-n ARG -f ARG

getopts("n:f:", \%option);

if ($option{n}) { $fold= $option{n}; }
else {$fold = 10;}

if ($option{f}) { 
    $path= $option{f}; 
    if ($path =~ /(\S+)\.+(\S+)$/) {
      $output1 = $1 . "_trenn." . $2;
      $output2 = $1 . "_test." . $2;
    }
    else {
      die "Ebakorrektne failinimi\n";
    }  
}
else {
   $path="-";
   $output1="trenn.txt";
   $output2="test.txt";
}  

print "Loetakse failist $path, kirjutatakse $output1 ja $output2\n";

    open(INPUT,"< $path")
        || die "Cant open $path for input: $!\n";
    open(TRENN,"> $output1") 
        || die "Cant open $output1 for output: $!\n";
    open(TEST,"> $output2") 
        || die "Cant open $output2 for output: $!\n";
        
    select(TRENN);
    
while(<INPUT>){
  if (/^\n$/){
    if ($i == $fold) {
      select(TRENN); 
      $i=1;
      print;
      next;
    }
    $i++;
    if ($i == $fold) {
      select(TEST);
      print;
      next;
    } 
  }
  print;
}

close(INPUT);
close(TRENN);
close(TEST);
  
  
